function this.GetPluginName()
	return "WinAMP";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%PROGRAM_FILES%\\WinAMP\\winamp.exe");
	if icon == -1 then
		icon = this:GetIconIndex("%SCRIPTS%\\cross.ico");
	end
	return icon;
end

function this.GetSize()
	local tcount = 0;
	local tsize = 0;

	size = this:GetFileSize("%PROGRAM_FILES%\\Winamp\\Plugins\\ml\\recent.dat");
	if size > 0 then
		tcount = tcount + 1;
		tsize = tsize + size;
	end;
	size = this:GetFileSize("%PROGRAM_FILES%\\Winamp\\winamp.m3u");
	if size > 0 then
		tcount = tcount + 1;
		tsize = tsize + size;
	end;

	return tsize, tcount;
end

function this.Clear()
	size = this:DeleteFile("%PROGRAM_FILES%\\Winamp\\Plugins\\ml\\recent.dat");
	size = this:DeleteFile("%PROGRAM_FILES%\\Winamp\\winamp.m3u");
end