function this.GetPluginName()
	return "WinRAR Recent Files";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%PROGRAM_FILES%\\WinRAR\\winrar.exe");
	if icon == -1 then
		icon = this:GetIconIndex("%windir%\\regedit.exe");
	end
	return icon;
end

function this.GetSize()
	local size = 0;
	count = this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\ArcHistory");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\ExtrPath");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\ArcName");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\FindArcNames");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\FindNames");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\FindText");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\ViewerSearch");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\WinRAR\\General", "LastFolder");

	return size, count;
end

function this.Clear()
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\ArcHistory");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\ExtrPath");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\FindArcNames");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\FindNames");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\FindText");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\DialogEditHistory\\ViewerSearch");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\WinRAR\\General", "LastFolder");
end