function this.GetPluginName()
	return "Windows Hotfix Uninstall";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%windir%");
	return icon;
end

function this.GetSize()
	size, count = this:GetFolderSize("%windir%", "$NtUninstall*", true);
	return size, count;
end

function this.Clear()
	this:RegKeyDeleteKeys("HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall", "KB8*")
	this:RegKeyDeleteKeys("HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall", "KB9*")
	this:DeleteFolderContent("%windir%", "$NtUninstall*", true);
end