function this.GetPluginName()
	return "Windows 2000/XP Search History";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%windir%\\regedit.exe");
	return icon;
end

function this.GetSize()
	local size = 0;
	count = this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\Explorer Bars\\{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}\\FilesNamedMRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\Explorer Bars\\{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}\\ContainingTextMRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\Explorer Bars\\{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}\\ComputerNameMRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Search Assistant\\ACMru");
	return size, count;
end

function this.Clear()
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\Explorer Bars\\{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}\\FilesNamedMRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\Explorer Bars\\{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}\\ContainingTextMRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Internet Explorer\\Explorer Bars\\{C4EE31F3-4768-11D2-BE5C-00A0C9A83DA1}\\ComputerNameMRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Search Assistant\\ACMru");
end