function this.GetPluginName()
	return "MS Front Page MRU";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%windir%\\regedit.exe");
	return icon;
end

function this.GetSize()
	local size = 0;
	local count = 0;

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer\\Recent File List");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer\\Recent Page List");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer\\Recent Web List");

	return size, count;
end

function this.Clear()
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer\\Recent File List");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer\\Recent Page List");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\FrontPage\\Explorer\\FrontPage Explorer\\Recent Web List");
end