function this.GetPluginName()
	return "Media Player Recent Files";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%PROGRAM_FILES%\\Windows Media Player\\wmplayer.exe");
	return icon;
end

function this.GetSize()
	local size = 0;
	local count = 0;

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\MediaPlayer\\Player\\RecentFileList");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\MediaPlayer\\Player\\RecentURLList");

	return size, count;
end

function this.Clear()
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\MediaPlayer\\Player\\RecentFileList");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\MediaPlayer\\Player\\RecentURLList");
end