function this.GetPluginName()
	return "MS Office 2000/XP/2003 Recent Files";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%windir%\\regedit.exe");
	return icon;
end

function this.GetSize()
	size, count = this:GetFolderSize("%appdata%\\Microsoft\\Office\\Recent", "*.*", true);

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\11.0\\Excel\\Recent Files");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\11.0\\Common\\Open Find\\Microsoft Office Word\\Settings\\Save As\\File Name MRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\11.0\\Outlook\\Office Finder", "MRU ?");

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\10.0\\Excel\\Recent Files");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\10.0\\PowerPoint\\Recent File List");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\10.0\\Outlook\\Office Finder", "MRU ?");

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\PowerPoint\\Recent File List");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\Publisher\\Recent File List");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\Outlook\\Office Finder", "MRU ?");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\Excel\\Recent Files");

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Outlook\\Office Finder", "MRU ?");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Excel\\Recent Files");

	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft Excel\\Settings\\Open\\File Name MRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft Excel\\Settings\\Save As\\File Name MRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft Word\\Settings\\Save As\\File Name MRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings\Open\\File Name MRU");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings\Save As\\File Name MRU");

	return size, count;
end

function this.Clear()
	this:DeleteFolderContent("%appdata%\\Microsoft\\Office\\Recent", "*.*", true);

	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\11.0\\Excel\\Recent Files");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\11.0\\Common\\Open Find\\Microsoft Office Word\\Settings\\Save As\\File Name MRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\11.0\\Outlook\\Office Finder", "MRU ?");

	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\10.0\\Excel\\Recent Files");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\10.0\\PowerPoint\\Recent File List");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\10.0\\Outlook\\Office Finder", "MRU ?");

	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\PowerPoint\\Recent File List");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\Publisher\\Recent File List");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\Outlook\\Office Finder", "MRU ?");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\9.0\\Excel\\Recent Files");

	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Outlook\\Office Finder", "MRU ?");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Excel\\Recent Files");

	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft Excel\\Settings\\Open\\File Name MRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft Excel\\Settings\\Save As\\File Name MRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft Word\\Settings\\Save As\\File Name MRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings\Open\\File Name MRU");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\8.0\\Common\\Open Find\\Microsoft PowerPoint\\Settings\Save As\\File Name MRU");
end