function this.GetPluginName()
	return "MS Visual Studio 2003/2005 File List MRU";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%PROGRAM_FILES%\\Microsoft Visual Studio 8\\Common7\\IDE\\devenv.exe");
	if icon == -1 then
		icon = this:GetIconIndex("%PROGRAM_FILES%\\Microsoft Visual Studio .NET 2003\\Common7\\IDE\\devenv.exe");
		if icon == -1 then
			icon = this:GetIconIndex("%SCRIPTS%\\cross.ico");
		end
	end
	return icon;
end

function this.GetSize()
	local size = 0;
	count = this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\VisualStudio\\8.0\\FileMRUList");
	count = count + this:RegKeyGetNumberOfValues("HKEY_CURRENT_USER\\Software\\Microsoft\\VisualStudio\\7.0\\FileMRUList");
	return size, count;
end

function this.Clear()
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\VisualStudio\\8.0\\FileMRUList");
	this:RegKeyDeleteValues("HKEY_CURRENT_USER\\Software\\Microsoft\\VisualStudio\\7.0\\FileMRUList");
end