function this.GetPluginName()
	return "Windows Memory Dump";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%windir%");
	return icon;
end

function this.GetSize()
	local tsize = 0;
	local tcount = 0;

	size, count = this:GetFolderSize("%windir%\\MiniDump\\", "*.dmp", false);

	tsize = size;
	tcount = count;
	
	size = this:GetFileSize("%windir%\\memory.dmp");
	if size > 0 then
		tcount = tonumber(tcount) + 1;
		tsize = tsize + size;
	end;
	return tsize, tcount;
end

function this.Clear()
	this:DeleteFolderContent("%windir%\\MiniDump\\", "*.dmp", false);
	this:DeleteFile("%windir%\\memory.dmp");
end