function this.GetPluginName()
	return "Windows Log Files";
end

function this.GetPluginIcon()
	icon = this:GetIconIndex("%windir%");
	return icon;
end

function this.GetSize()
	local tsize = 0;
	local tcount = 0;

	size, count = this:GetFolderSize("%windir%\\system32\\wbem\\Logs\\", "*.log;*.lo_", false);
	tsize = size;
	tcount = count;	
	size, count = this:GetFolderSize("%windir%\\SYSTEM\\WBEM\\logs", "", false);
	tsize = tsize + size;
	tcount = tcount + count;
	size, count = this:GetFolderSize("%windir%\\", "*.log;*.bak;*log.txt", false);
	tsize = tsize + size;
	tcount = tcount + count;
	size, count = this:GetFolderSize("%ALLUSERSPROFILE%\\Application Data\\Microsoft\\Dr Watson\\", "*.log;*.dmp", false);
	tsize = tsize + size;
	tcount = tcount + count;
	
	size = this:GetFileSize("C:\\SCANDISK.LOG");
	if size > 0 then
		tcount = tonumber(tcount) + 1;
		tsize = tsize + size;
	end;
	size = this:GetFileSize("%windir%\\Faultlog.txt");
	if size > 0 then
		tcount = tonumber(tcount) + 1;
		tsize = tsize + size;
	end;
	size = this:GetFileSize("%windir%\\SchedLog.txt");
	if size > 0 then
		tcount = tonumber(tcount) + 1;
		tsize = tsize + size;
	end;

	return tsize, tcount;
end

function this.Clear()
	this:DeleteFolderContent("%windir%\\system32\\wbem\\Logs\\", "*.log;*.lo_", false);
	this:DeleteFolderContent("%windir%\\SYSTEM\\WBEM\\logs", "", false);
	this:DeleteFolderContent("%windir%\\", "*.log;*.bak;*log.txt", false);
	this:DeleteFolderContent("%ALLUSERSPROFILE%\\Application Data\\Microsoft\\Dr Watson\\", "*.log;*.dmp", false);
	this:DeleteFile("C:\\SCANDISK.LOG");
	this:DeleteFile("%windir%\\Faultlog.txt");
	this:DeleteFile("%windir%\\SchedLog.txt");
end